<script setup>
import { ref } from "vue";

const props = defineProps({ q: Object, finished: Boolean });
const emit = defineEmits(["next"]);
const ans = ref("");

const next = () => {
  if (ans.value) {
    emit("next", ans.value === props.q.answer);
  }
};
</script>

<template>
  <form>
    <div class="question">
      <div class="question__text">{{ q.question }}</div>
      <label class="question__option" v-for="option in q.options" :key="option">
        <input type="radio" name="rdQuestion" v-model="ans" :value="option" required />
        {{ option }}
      </label>
      <button
        type="button"
        @click="next"
        class="question__cta"
        :disabled="finished"
      >
        Next
      </button>
    </div>
  </form>
</template>

<style>
.question {
  margin-bottom: 15px;
}
.question__text {
  color: white;
  font-weight: 700;
  margin-bottom: 15px;
}
.question__option {
  display: block;
  margin-bottom: 10px;
  color: white;
}
.question__cta {
  @apply bg-green-500 hover:bg-green-700 text-white font-bold py-2 px-4 border border-green-700 rounded;
  float: right;
  cursor: pointer;
  margin-bottom: 15px;
}
.question__cta:disabled {
  @apply bg-gray-500  border-gray-700 rounded;
  cursor: not-allowed;
}
</style>
